API ReferenceKnowledge Bases

/public/knowledge-bases/{knowledgeBaseId}/files

List files in a knowledge base

GET
/public/knowledge-bases/{knowledgeBaseId}/files

List files in a knowledge base

Path Parameters

knowledgeBaseId*string

Query Parameters

pageIndex?integer
Formatint32
pageSize?integer
Formatint32

Header Parameters

X-API-Version?string

Response Body

application/problem+json

application/json

application/json

curl -X GET "https://companion-api.napster.com/public/knowledge-bases/string/files"
{
  "items": [
    {
      "id": "string",
      "status": "pending",
      "originalName": "string",
      "contentType": "string",
      "summary": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "filteredCount": 0,
  "totalCount": 0,
  "pageIndex": 0,
  "pageSize": 0,
  "search": "string"
}
[
  {
    "code": "string",
    "description": "string",
    "type": "failure",
    "numericType": 0
  }
]
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}